## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * resolve circular dependency with pipewire and pipewire-sys
%bcond_with check
%global debug_package %{nil}

%global crate libspa

Name:           rust-libspa
Version:        0.6.0
Release:        %autorelease
Summary:        Rust bindings for libspa

License:        MIT
URL:            https://crates.io/crates/libspa
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * fix libspa-sys, pipewire, pipewire-sys dependency restrictions
Patch:          libspa-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust bindings for libspa.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v0_3_33-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v0_3_33-devel %{_description}

This package contains library source intended for building other packages which
use the "v0_3_33" feature of the "%{crate}" crate.

%files       -n %{name}+v0_3_33-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Feb 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-1
- Update to version 0.6.0; Fixes RHBZ#2169166

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 21 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.5.0-3
- Also skip pointer test on 32-bit ARM

* Thu Apr 21 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.5.0-2
- Apply proposed upstream fix for tests

* Thu Mar 31 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Sat Feb 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-3
- Bump system-deps from 3 to 6, add missing LICENSE file

* Tue Feb 01 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.4.1-2
- Re-enable tests now that pipewire-sys and pipewire are built

* Mon Jan 31 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.4.1-1
- Initial Fedora package
